Subject: Purchase
From: Austin Kurth <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 23 Jul 2025 20:20:08 +0000

Hello,
I ordered a bed on March 31st  Order # 111-7308349-8309859. I just now have had the opportunity to start putting the bed together and installing it. It does not fit in my bedroom and does not work for my current set up either.
I am wondering if you will offer a return on this still? If not a return will you offer a store credit for an exchange of something else?

Austin K.

President/Partner

1411 Rose Street LaCrosse WI 54603

Main Line: 608-498-4020

Personal Line: 608-999-3421

www.couleeauto.com<http://www.couleeauto.com/>